Bug 191199 - [PATCH] devel/monodevelop: update to 5.0.1
Summary: [PATCH] devel/monodevelop: update to 5.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-mono mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-19 22:20 UTC by Sergey Brunov
Modified: 2014-06-27 07:34 UTC (History)
3 users (show)

See Also:


Attachments
monodevelop-5.0.1.patch (27.85 KB, patch)
2014-06-19 22:20 UTC, Sergey Brunov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Brunov 2014-06-19 22:20:55 UTC
Created attachment 143942 [details]
monodevelop-5.0.1.patch

- Update to 5.0.1

Port maintainer (mono@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: update, diff: suffix)
Comment 1 Romain Tartière freebsd_committer 2014-06-25 09:31:12 UTC
Hello,

Thank you for your patch, I've had monodevelop 5.0.1 running for some time now but have not committed the update to the FreeBSD ports because the build fails if monodevelop-5.0.1 is already installed:

Errors:
-------------------------------------8<-------------------------------------
/usr/home/romain/Projects/bsd-sharp/trunk/devel/monodevelop/work/monodevelop-5.0.1/Main.sln (default targets) ->
(Build target) ->
/usr/home/romain/Projects/bsd-sharp/trunk/devel/monodevelop/work/monodevelop-5.0.1/src/addins/MonoDevelop.GtkCore/libstetic/libstetic.csproj (default targets) ->
/usr/local/lib/mono/4.5/Microsoft.CSharp.targets (CoreCompile target) ->

	ClassDescriptor.cs(186,23): error CS0012: The type `GLib.IIcon' is defined in an assembly that is not referenced. Consider adding a reference to assembly `gio-sharp, Version=3.0.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f'
	DND.cs(7,10): error CS0234: The type or namespace name `SideType' does not exist in the namespace `Gtk'. Are you missing an assembly reference?
	DND.cs(9,10): error CS0234: The type or namespace name `WindowClass' does not exist in the namespace `Gdk'. Are you missing an assembly reference?
	editor/ActionGroupEditor.cs(60,24): error CS0506: `Stetic.Editor.ActionGroupEditor.Dispose()': cannot override inherited member `GLib.Object.Dispose()' because it is not marked virtual, abstract or override
	editor/ActionItem.cs(92,24): error CS0506: `Stetic.Editor.ActionItem.Dispose()': cannot override inherited member `GLib.Object.Dispose()' because it is not marked virtual, abstract or override
	editor/ActionMenu.cs(292,27): error CS0115: `Stetic.Editor.ActionMenu.OnExposeEvent(Gdk.EventExpose)' is marked as an override but no suitable method found to override
	editor/ActionMenuBar.cs(430,27): error CS0115: `Stetic.Editor.ActionMenuBar.OnExposeEvent(Gdk.EventExpose)' is marked as an override but no suitable method found to override
	editor/ActionMenuItem.cs(51,24): error CS0506: `Stetic.Editor.ActionMenuItem.Dispose()': cannot override inherited member `GLib.Object.Dispose()' because it is not marked virtual, abstract or override
	editor/ActionMenuItem.cs(568,27): error CS0115: `Stetic.Editor.CheckActionIcon.OnExposeEvent(Gdk.EventExpose)' is marked as an override but no suitable method found to override
	editor/ActionToolbar.cs(389,27): error CS0115: `Stetic.Editor.ActionToolbar.OnExposeEvent(Gdk.EventExpose)' is marked as an override but no suitable method found to override
	editor/ActionToolbar.cs(532,24): error CS0506: `Stetic.Editor.CustomToolbarItem.Dispose()': cannot override inherited member `GLib.Object.Dispose()' because it is not marked virtual, abstract or override
	PropertyEditorCell.cs(123,31): error CS0246: The type or namespace name `Drawable' could not be found. Are you missing an assembly reference?
	editor/Boolean.cs(23,32): error CS0234: The type or namespace name `Drawable' does not exist in the namespace `Gdk'. Are you missing an assembly reference?
	editor/CellRendererComboBox.cs(53,24): error CS0115: `Stetic.Editor.CellRendererComboBox.GetSize(Gtk.Widget, ref Gdk.Rectangle, out int, out int, out int, out int)' is marked as an override but no suitable method found to override
	editor/CellRendererComboBox.cs(60,19): error CS0246: The type or namespace name `CellEditable' could not be found. Are you missing an assembly reference?
	editor/Color.cs(13,32): error CS0234: The type or namespace name `Drawable' does not exist in the namespace `Gdk'. Are you missing an assembly reference?
	editor/Enumeration.cs(29,3): error CS0234: The type or namespace name `ComboBoxEntry' does not exist in the namespace `Gtk'. Are you missing an assembly reference?
	editor/GroupPicker.cs(43,24): error CS0506: `Stetic.Editor.GroupPicker.Dispose()': cannot override inherited member `GLib.Object.Dispose()' because it is not marked virtual, abstract or override
	editor/IconList.cs(145,27): error CS0115: `Stetic.Editor.IconList.OnSetScrollAdjustments(Gtk.Adjustment, Gtk.Adjustment)' is marked as an override but no suitable method found to override
	editor/IconSelectorItem.cs(40,27): error CS0115: `Stetic.Editor.IconSelectorItem.OnSizeRequested(ref Gtk.Requisition)' is marked as an override but no suitable method found to override
	editor/IconSelectorItem.cs(141,24): error CS0506: `Stetic.Editor.IconSelectorItem.Dispose()': cannot override inherited member `GLib.Object.Dispose()' because it is not marked virtual, abstract or override
	editor/IconSelectorItem.cs(158,27): error CS0115: `Stetic.Editor.IconSelectorItem.OnExposeEvent(Gdk.EventExpose)' is marked as an override but no suitable method found to override
	editor/IconSelectorItem.cs(277,27): error CS0115: `Stetic.Editor.TipWindow.OnExposeEvent(Gdk.EventExpose)' is marked as an override but no suitable method found to override
	editor/Image.cs(10,3): error CS0234: The type or namespace name `ComboBoxEntry' does not exist in the namespace `Gtk'. Are you missing an assembly reference?
	editor/ImageSelector.cs(11,3): error CS0234: The type or namespace name `Drawable' does not exist in the namespace `Gdk'. Are you missing an assembly reference?
	editor/IntRange.cs(36,32): error CS0234: The type or namespace name `Drawable' does not exist in the namespace `Gdk'. Are you missing an assembly reference?
	editor/ResponseId.cs(32,3): error CS0234: The type or namespace name `ComboBoxEntry' does not exist in the namespace `Gtk'. Are you missing an assembly reference?
	editor/ThemedIcon.cs(134,49): error CS0246: The type or namespace name `SizeRequestedArgs' could not be found. Are you missing an assembly reference?
	Placeholder.cs(26,27): error CS0115: `Stetic.Placeholder.OnSizeRequested(ref Gtk.Requisition)' is marked as an override but no suitable method found to override
	Placeholder.cs(40,27): error CS0115: `Stetic.Placeholder.OnExposeEvent(Gdk.EventExpose)' is marked as an override but no suitable method found to override
	wrapper/ComboBoxEntry.cs(8,21): error CS0234: The type or namespace name `ComboBoxEntry' does not exist in the namespace `Gtk'. Are you missing an assembly reference?
	wrapper/Custom.cs(29,3): error CS0234: The type or namespace name `Pixmap' does not exist in the namespace `Gdk'. Are you missing an assembly reference?
	wrapper/Custom.cs(96,27): error CS0115: `Stetic.Custom.OnExposeEvent(Gdk.EventExpose)' is marked as an override but no suitable method found to override
	wrapper/MenuBar.cs(253,24): error CS0506: `Stetic.Wrapper.ActionPaletteItem.Dispose()': cannot override inherited member `GLib.Object.Dispose()' because it is not marked virtual, abstract or override
	wrapper/OptionMenu.cs(63,3): error CS0234: The type or namespace name `OptionMenu' does not exist in the namespace `Gtk'. Are you missing an assembly reference?
-------------------------------------8<-------------------------------------

I could not yet investigate what makes the compilation succeed when Monodevelop is not installed.  Can you check this on your side and confirm this problem ?

I also had a few more patches to (try to) unbreak the Subversion addin and use GNU Make instead of BSD Make to compile solutions using make.  I've pushed this to BSD# Repo:

https://code.google.com/p/bsd-sharp/source/browse/trunk/devel/monodevelop/

Thanks !
Comment 2 serge.brunov 2014-06-25 18:07:04 UTC
Hello,

Thank you for the response!

When the patch initially was tested, MonoDevelop 4 had been installed.

Have just tried to build MonoDevelop 5.0.1 (proposed patch by myself): the build has been completed successfully (precondition: MonoDevelop 5.0.1 is installed).

Best regards,
Sergey Brunov.
Comment 3 Romain Tartière freebsd_committer 2014-06-26 11:05:55 UTC
Hi!

Thank you for your feedback.  It looks like there are some problems on my side!  I am fixing this right now, will perform some more tests and commit the updated version.

Thanks!
Comment 4 Sergey Brunov 2014-06-26 20:21:44 UTC
Hello!

You are welcome! Thank you too! =)

Best regards,
Sergey Brunov.
Comment 5 Romain Tartière freebsd_committer 2014-06-27 07:34:16 UTC
Committed, thanks.